curl -X POST https://api.chargeapi.co/v1/reservations/res_k5VXjQAdSJx6Mg9iPw7OAjGzXP42Lvqq/cancel \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{}'
{
"id": "res_k5VXjQAdSJx6Mg9iPw7OAjGzXP42Lvqq",
"object": "reservation",
"cancellation_policy": {
"free_until_before": 1800,
"type": "free_cancellation"
},
"charging_station": "chst_Hyw5CaUqODp6ANbdqjXlzbRXWNScdiIW",
"confirmed_at": "2026-04-01T01:08:12.480Z",
"connector_type": ["CCS"],
"created": "2026-04-01T00:40:25.838Z",
"currency": "eur",
"driver": "drv_uSECaMA1R5LW7udEdnW6nmQ5rz6eHor6",
"earliest_start": null,
"failed_reason": null,
"ideal_end": "2026-04-01T03:10:21.561Z",
"ideal_start": "2026-04-01T01:40:23.381Z",
"latest_end": null,
"location": {
"latitude": 48.8698,
"longitude": 2.3319,
"radius": 1500
},
"metadata": {},
"payment_method": "pm_M9ZjflkWuYp82lH7ow4gFwhdxa1eqGxa",
"reservation_fee": 1200,
"reserved_end": "2026-04-01T03:09:54.276Z",
"reserved_start": "2026-04-01T01:40:18.627Z",
"status": "cancelled",
"updated": "2026-04-01T01:38:06.924Z",
"vehicle": "veh_1mQkD2fvFpsQcWjTjh3vCBT9H5jHRfV4"
}
curl -X POST https://api.chargeapi.co/v1/reservations/res_k5VXjQAdSJx6Mg9iPw7OAjGzXP42Lvqq/cancel \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{}'
{
"id": "res_k5VXjQAdSJx6Mg9iPw7OAjGzXP42Lvqq",
"object": "reservation",
"cancellation_policy": {
"free_until_before": 1800,
"type": "free_cancellation"
},
"charging_station": "chst_Hyw5CaUqODp6ANbdqjXlzbRXWNScdiIW",
"confirmed_at": "2026-04-01T01:08:12.480Z",
"connector_type": ["CCS"],
"created": "2026-04-01T00:40:25.838Z",
"currency": "eur",
"driver": "drv_uSECaMA1R5LW7udEdnW6nmQ5rz6eHor6",
"earliest_start": null,
"failed_reason": null,
"ideal_end": "2026-04-01T03:10:21.561Z",
"ideal_start": "2026-04-01T01:40:23.381Z",
"latest_end": null,
"location": {
"latitude": 48.8698,
"longitude": 2.3319,
"radius": 1500
},
"metadata": {},
"payment_method": "pm_M9ZjflkWuYp82lH7ow4gFwhdxa1eqGxa",
"reservation_fee": 1200,
"reserved_end": "2026-04-01T03:09:54.276Z",
"reserved_start": "2026-04-01T01:40:18.627Z",
"status": "cancelled",
"updated": "2026-04-01T01:38:06.924Z",
"vehicle": "veh_1mQkD2fvFpsQcWjTjh3vCBT9H5jHRfV4"
}
pending or confirmed status can be canceled. Depending on the cancellation policy, a fee may still apply.
curl -X POST https://api.chargeapi.co/v1/reservations/res_k5VXjQAdSJx6Mg9iPw7OAjGzXP42Lvqq/cancel \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{}'
{
"id": "res_k5VXjQAdSJx6Mg9iPw7OAjGzXP42Lvqq",
"object": "reservation",
"cancellation_policy": {
"free_until_before": 1800,
"type": "free_cancellation"
},
"charging_station": "chst_Hyw5CaUqODp6ANbdqjXlzbRXWNScdiIW",
"confirmed_at": "2026-04-01T01:08:12.480Z",
"connector_type": ["CCS"],
"created": "2026-04-01T00:40:25.838Z",
"currency": "eur",
"driver": "drv_uSECaMA1R5LW7udEdnW6nmQ5rz6eHor6",
"earliest_start": null,
"failed_reason": null,
"ideal_end": "2026-04-01T03:10:21.561Z",
"ideal_start": "2026-04-01T01:40:23.381Z",
"latest_end": null,
"location": {
"latitude": 48.8698,
"longitude": 2.3319,
"radius": 1500
},
"metadata": {},
"payment_method": "pm_M9ZjflkWuYp82lH7ow4gFwhdxa1eqGxa",
"reservation_fee": 1200,
"reserved_end": "2026-04-01T03:09:54.276Z",
"reserved_start": "2026-04-01T01:40:18.627Z",
"status": "cancelled",
"updated": "2026-04-01T01:38:06.924Z",
"vehicle": "veh_1mQkD2fvFpsQcWjTjh3vCBT9H5jHRfV4"
}